/*
 * Խػ! - ΥեGladeˤäƤޤ.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"

GtkWidget*
create_screen ()
{
  GtkWidget *screen;
  GtkWidget *draw_area;

  screen = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_widget_set_name (screen, "mainwin");
  gtk_object_set_data (GTK_OBJECT (screen), "screen", screen);
  gtk_widget_set_usize (screen, 60, 60);
  gtk_widget_set_events (screen, GDK_EXPOSURE_MASK | GDK_BUTTON_PRESS_MASK | GDK_KEY_PRESS_MASK);
  gtk_window_set_title (GTK_WINDOW (screen), _("Novel Yakyu-Ken"));
  gtk_window_set_policy (GTK_WINDOW (screen), FALSE, FALSE, FALSE);

  draw_area = gtk_drawing_area_new ();
  gtk_widget_set_name (draw_area, "lm_njan01_screen");
  gtk_widget_ref (draw_area);
  gtk_object_set_data_full (GTK_OBJECT (screen), "draw_area", draw_area,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (draw_area);
  gtk_container_add (GTK_CONTAINER (screen), draw_area);
  gtk_widget_set_events (draw_area, GDK_EXPOSURE_MASK);

  gtk_signal_connect (GTK_OBJECT (screen), "destroy",
                      GTK_SIGNAL_FUNC (on_screen_destroy),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (screen), "button_press_event",
                      GTK_SIGNAL_FUNC (on_screen_button_press_event),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (screen), "key_press_event",
                      GTK_SIGNAL_FUNC (on_screen_key_press_event),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (draw_area), "expose_event",
                      GTK_SIGNAL_FUNC (on_draw_area_expose_event),
                      NULL);

  gtk_widget_grab_focus (screen);
  return screen;
}

