/* =====================================================================

   LiMo - Easy Game
      Novel Yakyuu-ken.  - ȡա褤Τ褤

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

/* -------------------------------------------------------------
 --- History

  Jan.14.1999  Programing start

-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- Preface

  NJInit           -- ʤ
  NJFree           -- λޤ
  NJChangeBack     -- طʺؤ
  NJClick          -- ̤å줿
  NJKeyin          -- Ϥޤ
  NJStat           -- ¹ե饰֤
  NJMain           -- ΥᥤեǤ

  NJNovelDisp      -- ǥΥ٥ƥɽ
  clear_font       -- طʥեåɽ (= եȾõ)

-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- Include
-------------------------------------------------------------- */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include  "rr_screen.h"
#include  "rr_picture.h"
#include  "rr_main.h"
#include  "rr_njan.h"

/* -------------------------------------------------------------
 --- Ƽ
-------------------------------------------------------------- */

/* --- ƥȥǡ */
enum {
  SCENE_GUU = 0,
  SCENE_CHOKI,
  SCENE_PAA,
  SCENE_INTRO,
  SCENE_MUSUME1,
  SCENE_MUSUME2,
  SCENE_MUSUME3,
  SCENE_MUSUME4,
  SCENE_MUSUME5,
  SCENE_ORE1,
  SCENE_ORE2,
  SCENE_ORE3,
  SCENE_READY,
  SCENE_FIGHT1,
  SCENE_FIGHT2,
  SCENE_FIGHT3,
  SCENE_WIN,
  SCENE_LOSE,
  SCENE_DRAW,
};

/* --- ᥤ롼ץե */
enum {
  NJ_INIT = 0,
  NJ_INTRO_INIT,
  NJ_INTRO,
  NJ_JANKEN_INIT,
  NJ_JANKEN,
  NJ_JANKEN_AFTER,
  NJ_FIGHT,
  NJ_FIGHT_NOVEL,
  NJ_RESULT,
  NJ_RESULT_NOVEL,
  NJ_NUGI_INIT,
  NJ_NUGI,
  NJ_DONE
};

/* --- Υ٥ɽե */
enum {
  PS_INIT = 0,
  PS_DISPINIT,
  PS_DISP,
  PS_WAIT,
  PS_DISPNEXT,
  PS_PAGENEXT,
  PS_CLICKWAIT,
  PS_DONE
};


/* -------------------------------------------------------------
 --- ؿ
-------------------------------------------------------------- */

/* --- Υ٥ʸɽ */
gboolean NJNovelDisp(void);

/* --- طCGʸä */
void  clear_font(void);

/* --- դɤեɽ */
void  disp_font(guchar*, gint, gint);

/* --- Ԥܥɽ */
void  wait_button(gint);

/* --- 쥯ȥƥɽ */
void  disp_select(void);

/* --- 쥯Ԥ */
gboolean  select_wait(void);

/* -------------------------------------------------------------
 --- ѿ
-------------------------------------------------------------- */

/* --- ¹ե饰 */
static gboolean nj_stat;

/* --- ꡼󥵥ʤ */
static gint  sch, scw;

/* --- եɽɸ */
static gint  fx, fy;

/* --- եȤΥʤ */
static gint  fh, fw;

/* --- ץॹƥå */
static gint  step;
static gint  nv_step;
static gint  nv_step_next;
static gint  fntptr;

/* --- ޥå */
static gboolean  click;
static GdkPoint  click_pos;

/* ---  */
static gchar  key;

/* --- 륿ޡ */
static gint  main_timer;
static gint  ltimer;

/* --- طʥեå */
static GtkWidget *pix;

/* --- ܥ󥰥եå */
static GtkWidget *button_pix;

/* --- ɽΥ٥ǡΥݥ */
static guchar  *ttext;

/* --- Υ٥ǡΤγǼ */
static guchar  *textdata;
static gulong  tsize;

/* --- Υ٥ǡΥơݥ */
static GList *novel_ptr = NULL;
static gint novel_seg = 0;

/* --- 祭ѡΥ饤 */
static guchar janken[3][128];

/* --- μ,ʬμ */
static gint  com_jan;
static gint  me_jan;

/* --- ɤää(0=ʬ, 1=, 2=) */
static gint  winner;

/* --- 쥯ȥХܥå */
static GdkRectangle  sel[3];

/* --- ȼʬæե */
static gint  com_nugi;
static gint  me_nugi;

/* -----------------------------------------------------------------------
 --- ץ
------------------------------------------------------------------------ */

/* -------------------------------------------------------------
  NJInit       -- ʤ

   return : void
   void

-------------------------------------------------------------- */
void NJInit(gint w, gint h)
{
  FILE  *fp;
  gulong  i;

  step = NJ_INIT;
  nj_stat = TRUE;
  nv_step = PS_INIT;
  fntptr = 0;
  fx = fy = 10;
  scw = w;
  sch = h;
  novel_ptr = NULL;
  /* Pixmap κ */
  button_pix = create_pixmap(RRScreenWindow(), PICBUTTON);

  /* ̥ꥢ */
  NJChangeBack(0);

  /* --- Υ٥()ǡΥ, ǥå */
  if ((fp = fopen(PACKAGE_DATA_DIR "/textdata/" GAME_NOVEL_DATA, "r")) == NULL) {
    if ((fp = fopen(PACKAGE_SOURCE_DIR "/textdata/" GAME_NOVEL_DATA, "r")) == NULL) {
      g_warning(_("textdata is not found."));
      exit(-1);
    }
  }
  fseek(fp, 0L, SEEK_END);
  tsize = (gulong)ftell(fp);
  rewind(fp);
  if ((textdata = g_malloc(tsize)) == NULL) {
    g_warning(_("not allocated memory for textdata."));
    exit(-1);
  }
  if ((i = fread(textdata, sizeof(guchar), tsize, fp)) != tsize) {
    g_warning(_("File read error.(textdata)"));
    exit(-1);
  }
  /* - ǡȥơ */
  novel_ptr = g_list_append (novel_ptr, (gpointer)&textdata[0]);
  novel_seg++;
  for(i=0; i<tsize; i++) {
    if ((textdata[i] == '\\') && (textdata[i+1] == '\\')) {
      novel_ptr = g_list_append(novel_ptr, (gpointer)&textdata[i+2]);
      textdata[i] = 0;
      textdata[i+1] = 0;
      novel_seg++;
      i++;
    }
  }
  /* - 祭ѡθƾ */
  for(i=SCENE_GUU; i<3; i++) {
    strcpy(janken[i],  g_list_nth_data(novel_ptr, (guint)i));
  }
}


/* -------------------------------------------------------------
  NJFree       -- λޤ

   return : void
   void

-------------------------------------------------------------- */
void NJFree(void)
{
  if (pix != NULL) {
    gtk_widget_destroy(pix);
    pix = NULL;
  }
  if (button_pix != NULL) gtk_widget_unref(button_pix);
  if (textdata != NULL) g_free(textdata);
  if (novel_ptr != NULL) g_list_free(novel_ptr);
}


/* -------------------------------------------------------------
  NJChangeBack     -- طʺؤ

   return : void
   GtkWidget *  (طʤȤʤ GtkPixmap)

-------------------------------------------------------------- */
void NJChangeBack(gint n)
{
  if (pix != NULL) {
    gtk_widget_destroy(pix);
    pix = NULL;
  }
  switch(n) {
  case 0:
    pix = RRPictureFromFile(RRScreenWindow(), PICFILE3_1);
    break;

  case 1:
    pix = RRPictureFromFile(RRScreenWindow(), PICFILE3_2);
    break;

  case 2:
    pix = RRPictureFromFile(RRScreenWindow(), PICFILE3_3);
    break;

  case 3:
    pix = RRPictureFromFile(RRScreenWindow(), PICFILE3_4);
    break;

  case 4:
    pix = RRPictureFromFile(RRScreenWindow(), PICFILE3_5);
    break;
  }

  clear_font();
}

/* -------------------------------------------------------------
  NJClick       -- ɥåޤ

   return : void
   void

-------------------------------------------------------------- */
void NJClick(gint x, gint y)
{
  click = TRUE;
  click_pos.x = x;
  click_pos.y = y;
}


/* -------------------------------------------------------------
  NJKeyin       -- Ϥޤ

   return : void
   gchar in (줿ȥå)

-------------------------------------------------------------- */
void NJKeyin(gchar in)
{
  key = in;
}


/* -------------------------------------------------------------
  NJStat       -- ¹ե饰֤

   return : gboolean (TRUE=¹)
   void

-------------------------------------------------------------- */
gboolean NJStat(void)
{
  return(nj_stat);
}


/* -------------------------------------------------------------
  NJMain           -- ΥᥤեǤ

   return : void
   void

-------------------------------------------------------------- */
void NJMain(void)
{
  gint r;

  switch(step) {
  case NJ_INIT:
    /* --- ꤢä */
    com_nugi = me_nugi = 0;
    step = NJ_INTRO_INIT;
    break;

  case NJ_INTRO_INIT:
    /* --- ȥɽ */
    ttext = g_list_nth_data(novel_ptr, SCENE_INTRO);
    nv_step = PS_INIT;
    step = NJ_INTRO;
    break;

  case NJ_INTRO:
    /* --- ȥɽ */
    if (NJNovelDisp() == FALSE) {
      /* -  ȥäΤǼ */
      clear_font();
      step = NJ_JANKEN_INIT;
    }
    break;

  case NJ_JANKEN_INIT:
    /* --- 󥱥 */
    disp_select();
    step = NJ_JANKEN;
    break;

  case NJ_JANKEN:
    /* --- 󥱥Ԥ */
    if (select_wait() == FALSE) {
      main_timer = (INTERVAL * 1) / 2;
      step = NJ_JANKEN_AFTER;
    }
    break;

  case NJ_JANKEN_AFTER:
    /* --- ץ쥤䡼ϸ; */
    if ((--main_timer) <= 0) {
      clear_font();
      step = NJ_FIGHT;
    }
    break;

  case NJ_FIGHT:
    /* --- 󥱥Է */
    com_jan = (gint)(3.0*rand()/(RAND_MAX+1.0));
    winner = 1;
    if (((me_jan == 2) && (com_jan == 0)) ||
	((me_jan == 1) && (com_jan == 2)) ||
	((me_jan == 0) && (com_jan == 1))) {
      winner = 0;
    }
    if (me_jan == com_jan) {
      winner = 2;
    }
    /* --- ̥Υ٥ */
    r = (gint)(3.0*rand()/(RAND_MAX+1.0));
    ttext = g_list_nth_data(novel_ptr, (SCENE_FIGHT1 + r));
    nv_step = PS_INIT;
    step = NJ_FIGHT_NOVEL;
    break;

  case NJ_FIGHT_NOVEL:
    /* --- 󤱡ݥɽ */
    if (NJNovelDisp() == FALSE) {
      clear_font();
      step = NJ_RESULT;
    }
    break;

  case NJ_RESULT:
    /* --- Է̥Υ٥λŹ */
    ttext = g_list_nth_data(novel_ptr, (SCENE_WIN + winner));
    nv_step = PS_INIT;
    step = NJ_RESULT_NOVEL;
    break;

  case NJ_RESULT_NOVEL:
    /* --- Է̤ɽ */
    if (NJNovelDisp() == FALSE) {
      clear_font();
      step = NJ_NUGI_INIT;
    }
    break;

  case NJ_NUGI_INIT:
    /* --- Ԥ˱æå */
    if (winner == 0) {
      ttext = g_list_nth_data(novel_ptr, (SCENE_MUSUME1 + com_nugi));
      nv_step = PS_INIT;
      step = NJ_NUGI;
    }
    else if (winner == 1) {
      ttext = g_list_nth_data(novel_ptr, (SCENE_ORE1 + me_nugi));
      nv_step = PS_INIT;
      step = NJ_NUGI;
    }
    else {
      step = NJ_JANKEN_INIT;
    }
    break;

  case NJ_NUGI:
    /* --- ̤̤ */
    if (NJNovelDisp() == FALSE) {
      clear_font();
      step = NJ_JANKEN_INIT;
      /* æɤ */
      if (winner == 0) {
	if ((++com_nugi) == 5) {
	  main_timer = 3 * INTERVAL;
	  step = NJ_DONE;
	}
	else {
	  NJChangeBack(com_nugi);
	}
      }
      else {
	if ((++me_nugi) == 3) {
	  main_timer = 1 * INTERVAL;
	  step = NJ_DONE;
	}
      }
    }
    break;

  case NJ_DONE:
    /* --- ४С */
    if ((--main_timer) <= 0) {
      nj_stat = FALSE;
    }
    break;
  }

  /* -- ϤαƶϤ1ե졼Τ */
  click = FALSE;
  key = 0;
}


/* -------------------------------------------------------------
  NJNovelDisp       -- ǥΥ٥ƥɽ

   return : void
   void
-------------------------------------------------------------- */
gboolean NJNovelDisp(void)
{
  gboolean nv_endflag = TRUE;
  gchar  dispfont[3];
  gint  w, h;
  gint  nextflag;

  nextflag = 0;
  while(nextflag == 0) {
    /* --- NV_STEP */
    switch(nv_step) {
    case PS_INIT:
      fntptr = 0;
      nv_step = PS_DISPINIT;
      break;

    case PS_DISPINIT:
      fx = fy = 10;
      nv_step = PS_DISP;
      break;

    case PS_DISP:
      /* ǡβԤ̵ */
      if (ttext[fntptr] == '\n') {
	fntptr++;
	nv_step = PS_DISPNEXT;
	break;
      }
      /* ̿ */
      if (ttext[fntptr] == '\\') {
	if (ttext[fntptr+1] == '1') {
	  fntptr += 2;
	  RRScreenFontSize(janken[me_jan], &w, &h);
	  fh = h;
	  fw = w;
	  disp_font(janken[me_jan], fx, fy);
	  fx += (w+2);
	  ltimer = 2;
	  nv_step = PS_WAIT;
	  break;
	}
	else if (ttext[fntptr+1] == '2') {
	  fntptr += 2;
	  RRScreenFontSize(janken[com_jan], &w, &h);
	  fh = h;
	  fw = w;
	  disp_font(janken[com_jan], fx, fy);
	  fx += (w+2);
	  ltimer = 2;
	  nv_step = PS_WAIT;
	  break;
	}
	else {
	  fntptr += 2;
	  nv_step = PS_DISPNEXT;
	  break;
	}
      }
      /* ʸɽ */
      if ((guchar)ttext[fntptr] < 0x80) {
	dispfont[0] = ttext[fntptr];
	dispfont[1] = 0;
	RRScreenFontSize(dispfont, &w, &h);
	fh = h;
	fw = w;
	disp_font(dispfont, fx, fy);
	fx += (w+2);
	fntptr++;
      }
      else {
	dispfont[0] = ttext[fntptr];
	dispfont[1] = ttext[fntptr+1];
	dispfont[2] = 0;
	RRScreenFontSize(dispfont, &w, &h);
	fh = h;
	fw = w;
	disp_font(dispfont, fx, fy);
	fx += (w+2);
	fntptr += 2;
      }
      ltimer = 1;
      nv_step = PS_WAIT;
      break;
      
    case PS_WAIT:
      if (ltimer > 0) {
	ltimer--;
	nextflag = 1;
	break;
      }
      nv_step = PS_DISPNEXT;
      break;
      
    case PS_DISPNEXT: 
      /* -- ƥȤνü */
      if (ttext[fntptr] == 0) {
	nv_step_next = PS_DONE;
	nv_step = PS_CLICKWAIT;
	break;
      }
      /* -- Ƚ */

      if ((ttext[fntptr] == '\\') && (ttext[fntptr+1] == 'w')) {
	fntptr += 2;
	ltimer = 0;
	nv_step_next = PS_DISPNEXT;
	nv_step = PS_CLICKWAIT;
	break;
      }
      /* -- ڡ */
      if ((ttext[fntptr] == '\\') && (ttext[fntptr+1] == 'p')) {
	fntptr += 2;
	ltimer = 0;
	nv_step_next = PS_PAGENEXT;
	nv_step = PS_CLICKWAIT;
	break;
      }
      /* -- Խ */
      if (((ttext[fntptr] == '\\') && (ttext[fntptr+1] == 'n')) || (fx > 440)) {
	fy += (fh * 3 / 2);        /* ľǤ */
	if (fy > 330) {
	  fy -= (fh * 3 / 2);
	  ltimer = 0;
	  nv_step_next = PS_PAGENEXT;
	  nv_step = PS_CLICKWAIT;
	  break;
	}
	else {
	  fx = 10;
	  nv_step = PS_DISP;
	  break;
	}
	break;
      }
      nv_step = PS_DISP;
      break;

      /* --- ڡ */
    case PS_PAGENEXT:
      clear_font();
      nv_step = PS_DISPINIT;
      nextflag = 1;
      break;
      
      /* --- ؤΥåԤ */
    case PS_CLICKWAIT:
      /* åԤ˥ */
      ltimer++;
      wait_button(((ltimer / 4) % 3) + 1);
      if (click == 1) {
	/* å줿ΤǼ */
	wait_button(0);
	nv_step = nv_step_next;
      }
      nextflag = 1;
      break;

      /* --- λ */
    case PS_DONE:
      nv_endflag = FALSE;
      nextflag = 1;
      break;

    }
  }
  return(nv_endflag);
}



/* -------------------------------------------------------------
  clear_font    -- طʳɽǥեȤΥꥢ
-------------------------------------------------------------- */
void clear_font(void)
{
  GdkPixmap *pic;
  GdkBitmap *mask;

  gtk_pixmap_get(GTK_PIXMAP(pix), &pic, &mask);
  RRScreenPutPixmap(pic, 0, 0);
}


/* -------------------------------------------------------------
  disp_font    -- դɤեȤɽ
-------------------------------------------------------------- */
void  disp_font(guchar *str, gint x, gint y)
{
  RRScreenGCColor(0x6000, 0x6000, 0x6000);
  RRScreenFontLocate(x-1, y);
  RRScreenFontPrint(str);
  RRScreenFontLocate(x+1, y);
  RRScreenFontPrint(str);
  RRScreenFontLocate(x, y-1);
  RRScreenFontPrint(str);
  RRScreenFontLocate(x, y+1);
  RRScreenFontPrint(str);
  RRScreenGCColor(0xffff, 0xffff, 0xffff);
  RRScreenFontLocate(x, y);
  RRScreenFontPrint(str);
}


/* -------------------------------------------------------------
  wait_button    -- Ԥܥɽ
-------------------------------------------------------------- */
void  wait_button(gint n)
{
  RRSprite obj;
  GdkPixmap *pic;
  GdkBitmap *mask_tmp;

  /* --- طΥܥä */
  gtk_pixmap_get(GTK_PIXMAP(pix), &pic, &mask_tmp);
  obj.sw = TRUE;
  obj.mask_offset = TRUE;
  obj.objmap = pic;
  obj.objmask = NULL;
  obj.x = fx;
  obj.y = fy + 3;
  obj.w = obj.h = 14;
  obj.ox = fx;
  obj.oy = fy;
  obj.offset_x = obj.offset_y = 0;
  RRScreenObjPut(&obj);
  /* --- ܥ */
  gtk_pixmap_get(GTK_PIXMAP(button_pix), &pic, &mask_tmp);
  obj.sw = TRUE;
  obj.mask_offset = TRUE;
  obj.objmap = pic;
  obj.objmask = mask_tmp;
  obj.x = fx;
  obj.y = fy + 3;
  obj.w = obj.h = 14;
  obj.ox = n * 14;
  obj.oy = 0;
  obj.offset_x = obj.offset_y = 0;
  RRScreenObjPut(&obj);
}


/* -------------------------------------------------------------
  disp_select    -- 쥯ȥƥɽ
-------------------------------------------------------------- */
void  disp_select(void)
{
  guchar  *dispfont;

  fx = fy = 10;
  clear_font();
  /* --- ɤˤ롩 */
  dispfont = g_list_nth_data(novel_ptr, SCENE_READY);
  RRScreenFontSize(dispfont, &fw, &fh);
  disp_font(dispfont, fx, fy);
  fx = 40;
  fy = 60;
  /* --- Σ */
  dispfont = g_strconcat("1. ", janken[0], NULL);
  RRScreenFontSize(dispfont, &fw, &fh);
  disp_font(dispfont, fx, fy);
  g_free(dispfont);
  sel[0].x      = fx;
  sel[0].y      = fy;
  sel[0].width  = fw;
  sel[0].height = fh;
  fy += (fh * 3 / 2);
  /* --- Σ */
  dispfont = g_strconcat("2. ", janken[1], NULL);
  RRScreenFontSize(dispfont, &fw, &fh);
  disp_font(dispfont, fx, fy);
  g_free(dispfont);
  sel[1].x      = fx;
  sel[1].y      = fy;
  sel[1].width  = fw;
  sel[1].height = fh;
  fy += (fh * 3 / 2);
  /* --- Σ */
  dispfont = g_strconcat("3. ", janken[2], NULL);
  RRScreenFontSize(dispfont, &fw, &fh);
  disp_font(dispfont, fx, fy);
  sel[2].x      = fx;
  sel[2].y      = fy;
  sel[2].width  = fw;
  sel[2].height = fh;
  g_free(dispfont);
}

/* -------------------------------------------------------------
  disp_select    -- 쥯ȥƥɽ
-------------------------------------------------------------- */
gboolean  select_wait(void)
{
  gboolean select_done = TRUE;
  guchar  *dispfont;
  gint  i, x, y;

  me_jan = -1;
  /* ---  */
  switch(key) {
  case '1':
    me_jan = 0;
    break;

  case '2':
    me_jan = 1;
    break;

  case '3':
    me_jan = 2;
    break;
  }

  /* --- ޥåä */
  if (click == TRUE) {
    for(i=0; i<3; i++) {
      if (((sel[i].x <= click_pos.x) &&
	   ((sel[i].x + sel[i].width) > click_pos.x)) &&
	  ((sel[i].y <= click_pos.y) &&
	   ((sel[i].y + sel[i].height) > click_pos.y))) {
	me_jan = i;
      }
    }
  }

  /* --- ϤäʤȽ꽪λ */
  if (me_jan != -1) {
    select_done = FALSE;
    /* - Ф줿ܤĴ */
    dispfont = g_strdup_printf("%1d. %s", (me_jan + 1), janken[me_jan]);
    RRScreenFontSize(dispfont, &fw, &fh);
    x = 40;
    y = 60 + ((fh * me_jan) * 3 / 2);
    RRScreenGCColor(0x8000, 0x4000, 0x4000);
    RRScreenFontLocate(x-1, y);
    RRScreenFontPrint(dispfont);
    RRScreenFontLocate(x+1, y);
    RRScreenFontPrint(dispfont);
    RRScreenFontLocate(x, y-1);
    RRScreenFontPrint(dispfont);
    RRScreenFontLocate(x, y+1);
    RRScreenFontPrint(dispfont);
    RRScreenGCColor(0xffff, 0x8000, 0x8000);
    RRScreenFontLocate(x, y);
    RRScreenFontPrint(dispfont);
    g_free(dispfont);
  }

  return(select_done);
}

